
/* Chrysalide - Outil d'analyse de fichiers binaires
 * header.h - prototypes pour la constitution des deux types d'en-têtes JDWP
 *
 * Copyright (C) 2010-2012 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _DEBUG_JDWP_MISC_HEADER_H
#define _DEBUG_JDWP_MISC_HEADER_H


#include <stdbool.h>


#include "../jdwp_def.h"
#include "../../../arch/archbase.h"



/* Définit une en-tête de requête au format JDWP. */
void set_jdwp_request_header(jdwp_header *, bin_t *, uint32_t, uint8_t, uint8_t);

/* Définit une en-tête de réponse au format JDWP. */
void set_jdwp_reply_header(jdwp_header *, bin_t *, uint32_t, uint32_t, uint16_t);

/* Enregistre au format binaire la valeur actuelle de la taille. */
void update_jdwp_header_length(const jdwp_header *, bin_t *);

/* Lit une en-tête de paquet au format JDWP. */
bool get_jdwp_header(const bin_t *, jdwp_header *);



#endif  /* _DEBUG_JDWP_MISC_HEADER_H */
