
/* Chrysalide - Outil d'analyse de fichiers binaires
 * global.c - conservation de variables globales à vocation graphique
 *
 * Copyright (C) 2016 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "global.h"



/* Barre de statut principale */
static GtkStatusStack *_status = NULL;



/******************************************************************************
*                                                                             *
*  Paramètres  : status  = barre de statut à tenir informée.                  *
*                                                                             *
*  Description : Note l'adresse de la barre de statut principale.             *
*                                                                             *
*  Retour      : -                                                            *
*                                                                             *
*  Remarques   : -                                                            *
*                                                                             *
******************************************************************************/

void set_global_status(GtkStatusStack *status)
{
    _status = status;

}


/******************************************************************************
*                                                                             *
*  Paramètres  : -                                                            *
*                                                                             *
*  Description : Fournit l'adresse de la barre de statut principale.          *
*                                                                             *
*  Retour      : barre de statut à tenir informée.                            *
*                                                                             *
*  Remarques   : -                                                            *
*                                                                             *
******************************************************************************/

GtkStatusStack *get_global_status(void)
{
    return _status;

}
